Subject: [WPTA] June 21 Roads I love tour

From: Ken Mikos via Wpta <[email-masked]>
Date: Sun, 15 Jun 2025 23:36:30 -0400

To all, 
Just a reminder, the Roads I Love Tour that will be departing from the Get Go in Delmont Pa (6586 Rt 22) on Saturday, June 21. Please plan on arriving around 10:00 with the first cars off at 10:30am. 
The 90 minute run is approximately 65 miles and will be traveling many of the isolated backroads in this area. To ensure an enjoyable trip for all, please make sure you have a full tank of gas,have check all fluids and mechanical components before departing. 
Our final destination and lunch will be at the Forks Inn located at 3819 St Rt 711 in Ligoner (724-238-7881). For those that are interested, Ligoner is 5 miles from our lunch venue. If you never have stopped before, I encourage you to take the time and visit this historic community for ice cream, shopping and a drive around the square. 
Looking forward to seeing you all on the Saturday the 21st.
Ken Mikos 
412-400-9293 

Sent from my iPad
_______________________________________________
[email-masked]

-------------------------------------

http://www.wptriumph.org

Archive: http://www.team.net/archive